# The MEME Suite

## Motif-based sequence analysis tools

## fasta-hamming-enrich

### Usage:

`fasta-hamming-enrich [options] -w <word> -p <positives> -n <negatives>`

### Description

Compute the Hamming distance from <word> to each FASTA sequence in the positive and negative files. Apply Fisher's Exact test to each distance. <word> may contain ambiguous characters.

### Input

A word to determine enrichment.

Positive and negative sequences in FASTA format.

### Output

Writes a MEME motif file to standard output.

### Options

Option | Parameter | Description | Default Behavior
--- | --- | --- | ---
Required
-w | word | The word to determine enrichment. | Required input.
-p | FASTA file | The positive sequences in FASTA format. | Required input.
-n | FASTA file | The negative sequences in FASTA format. | Required input.
General
-a | Alphabet file | Specify the alphabet definition. Sequences will be verified to be in the given alphabet. | The standard DNA alphabet is assumed.
-r |  | Refine the consensus by using a branching search (distance 1 steps; beam size = 1). |